View a markdown version of this page

GetBrandProfile - AWS End User Messaging

GetBrandProfile

Retrieves the metadata for a brand profile, including its name, status, deletion protection setting, and timestamps. To retrieve the attributes of the profile, use the ListBrandProfileAttributes operation.

Request Syntax

GET /v1/brand-profiles/brandProfileId+ HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

brandProfileId

The unique identifier of the brand profile. You can specify either the bare ID or the full Amazon Resource Name (ARN).

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [A-Za-z0-9_:/-]+

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "brandProfileArn": "string", "brandProfileId": "string", "brandProfileName": "string", "createdAt": number, "deletionProtectionEnabled": boolean, "status": "string", "updatedAt": number }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

brandProfileArn

The Amazon Resource Name (ARN) of the brand profile.

Type: String

Length Constraints: Minimum length of 20. Maximum length of 256.

Pattern: arn:[A-Za-z0-9_:/-]+

brandProfileId

The unique identifier of the brand profile.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [A-Za-z0-9_:/-]+

brandProfileName

The name of the brand profile. The name can contain alphanumeric characters, underscores, hyphens, and spaces.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [A-Za-z0-9_ -]*[A-Za-z0-9_-][A-Za-z0-9_ -]*

createdAt

The time when the resource was created, in Unix epoch time.

Type: Timestamp

deletionProtectionEnabled

Specifies whether deletion protection is enabled. When enabled, the resource cannot be deleted until deletion protection is turned off.

Type: Boolean

status

The current lifecycle status of the brand profile.

Type: String

Valid Values: ACTIVE | BLOCKED | PAUSED | CANCELLED | FAILED

updatedAt

The time when the resource was last updated, in Unix epoch time.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

An unexpected error occurred during the processing of the request.

HTTP Status Code: 500

ResourceNotFoundException

The request references a resource that does not exist. Verify that the resource identifier is correct and try your request again.

resourceId

The identifier of the resource that could not be found.

resourceType

The type of the resource that could not be found.

HTTP Status Code: 404

ThrottlingException

The request was denied because it exceeded the allowed request rate.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service. Check your request parameters and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: